version: '3'

services:
  traefik:
    image: traefik:1.7-alpine
    command: /traefik/init.sh
    restart: always
    ports:
      - 80:80
      - 443:443
      - 8080:8080
    networks:
      - proxy
    env_file: .env
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - ./:/traefik
    container_name: traefik

networks:
  proxy:
